Skip to main content

Workspace Service Principal

View as Markdown

ServicePrincipal object

activebooleanPublic Preview

If this user is active

applicationIdstringuuidPublic Preview

UUID relating to the service principal

displayNamestringPublic Preview

String that represents a concatenation of given and family names.

Example: etl-service

entitlementsarray of objectPublic Preview

Entitlements assigned to the service principal. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystringPublic Preview
primarybooleanPublic Preview
$refstringPublic Preview
typestringPublic Preview
valuestringPublic Preview
externalIdstring<= 64 charactersPublic Preview
groupsarray of objectPublic Preview
Show child attributesHide child attributes
displaystringPublic Preview
primarybooleanPublic Preview
$refstringPublic Preview
typestringPublic Preview
valuestringPublic Preview
idstringint64Public Preview

<Databricks> service principal ID.

rolesarray of objectPublic Preview

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystringPublic Preview
primarybooleanPublic Preview
$refstringPublic Preview
typestringPublic Preview
valuestringPublic Preview
schemasarray of stringPublic Preview

The schema of the List response.

Values:

  • SERVICE_PRINCIPAL_SCHEMA_UNSPECIFIED
  • urn:ietf:params:scim:schemas:core:2.0:ServicePrincipal

Get service principal details Public Preview

GET /api/2.0/preview/scim/v2/ServicePrincipals/{id}

Gets the details for a single service principal define in the <Databricks> workspace.

API scopes: scim

Parameters

idstringint64Requiredpath

Unique ID for a service principal in the <Databricks> workspace.

Response

Returns the ServicePrincipal object.

List service principals Public Preview

GET /api/2.0/preview/scim/v2/ServicePrincipals

Gets the set of service principals associated with a <Databricks> workspace.

API scopes: scim

Parameters

attributesstringquery

Comma-separated list of attributes to return in response.

countint64<= 100query

Desired number of results per page.

excludedAttributesstringquery

Comma-separated list of attributes to exclude in response.

filterstringquery

Query by which the results have to be filtered. Supported operators are equals(eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators - and and or. The SCIM RFC has more details but we currently only support simple expressions.

Examples:

  • displayName co "sp" and displayName co "foo" : Service principals whose displayName contains sp and displayName contains foo.
  • displayName co "bar" : Service principals whose displayName contains bar.
  • displayName eq "foo" : Service principals whose displayName equals foo.
  • displayName ne "qux" : Service principals whose displayName not equals qux.
  • displayName co "sp" or displayName co "foo" : Service principals whose displayName contains sp or displayName contains foo.
  • displayName sw "baz" : Service principals whose displayName starts with baz.
sortBystringquery

Attribute to sort the results.

sortOrderstringquery

The order to sort the results.

Values:

  • ORDER_UNSPECIFIED
  • ascending
  • descending
startIndexint64query

Specifies the index of the first result. First item is number 1.

Response

Returns a list of ServicePrincipal objects.

Create a service principal Public Preview

POST /api/2.0/preview/scim/v2/ServicePrincipals

Creates a new service principal in the <Databricks> workspace.

API scopes: scim

Request body

activeboolean

If this user is active

applicationIdstringuuid

UUID relating to the service principal

displayNamestring

String that represents a concatenation of given and family names.

Example: etl-service

entitlementsarray of object

Entitlements assigned to the service principal. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring
groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
idstringint64

<Databricks> service principal ID.

rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the List response.

Values:

  • SERVICE_PRINCIPAL_SCHEMA_UNSPECIFIED
  • urn:ietf:params:scim:schemas:core:2.0:ServicePrincipal

Response

Returns the ServicePrincipal object.

Replace service principal Public Preview

PUT /api/2.0/preview/scim/v2/ServicePrincipals/{id}

Updates the details of a single service principal.

This action replaces the existing service principal with the same name.

API scopes: scim

Parameters

idstringint64Requiredpath

<Databricks> service principal ID.

Request body

activeboolean

If this user is active

applicationIdstringuuid

UUID relating to the service principal

displayNamestring

String that represents a concatenation of given and family names.

Example: etl-service

entitlementsarray of object

Entitlements assigned to the service principal. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring
groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the List response.

Values:

  • SERVICE_PRINCIPAL_SCHEMA_UNSPECIFIED
  • urn:ietf:params:scim:schemas:core:2.0:ServicePrincipal

Delete a service principal Public Preview

DELETE /api/2.0/preview/scim/v2/ServicePrincipals/{id}

Delete a single service principal in the <Databricks> workspace.

API scopes: scim

Parameters

idstringint64Requiredpath

Unique ID for a service principal in the <Databricks> workspace.

Update service principal details Public Preview

PATCH /api/2.0/preview/scim/v2/ServicePrincipals/{id}

Partially updates the details of a single service principal in the <Databricks> workspace.

API scopes: scim

Parameters

idstringint64Requiredpath

Unique ID in the <Databricks> workspace.

Request body

Operationsarray of object
Show child attributesHide child attributes
opstring

Type of patch operation.

Values:

  • PATCH_OP_UNSPECIFIED
  • add
  • remove
  • replace
pathstring

Selection of patch operation

valueobject

Value to modify

schemasarray of string

The schema of the patch request. Must be ["urn:ietf:params:scim:api:messages:2.0:PatchOp"].

Values:

  • PATCH_SCHEMA_UNSPECIFIED
  • urn:ietf:params:scim:api:messages:2.0:PatchOp